Subject: [IPFIX] On promotion of enterprise-specific Information Elements

From: Brian Trammell <[email-masked]>
Date: Fri, 31 Aug 2012 12:13:59 +0200

Greetings, all,

Following up on the discussion of methods for promotion of Information Elements, it seems we have a couple of approaches, and that they're not really compatible: we do have to choose one.

However, I'm not sure at this point that a solution to this problem necessarily belongs in IE-DOCTORS: first, it's a corner case of information element definition; second, it appears there does need to be some more discussion about this, supported by a forthcoming proposed solution by Paul.

I believe this can be handled separately from the IE-DOCTORS and RFC5102-bis documents, to prevent discussion on this issue from holding up IE-DOCTORS and RFC5102-bis as well as to keep from rushing the discussion in order to finish IE-DOCTORS and RFC5102-bis.

Therefore, I propose to remove ESIE promotion from the upcoming IE-DOCTORS revision (-04, which I plan to submit today) as well as to remove the Enterprise-Specific Reference column from the IANA registry definition in RFC5102-bis; I intend to post new versions today.

Thoughts?

Best regards,

Brian